diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/includes/widgets.php ./wordpress-3.3/wp-admin/includes/widgets.php
*** ./wordpress-3.2.1/wp-admin/includes/widgets.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/includes/widgets.php	2011-09-03 09:18:10.000000000 -0500
***************
*** 160,166 ****
  		$query_arg['key'] = $key;
  	}
  
! 	// We aren't showing a widget control, we're outputing a template for a mult-widget control
  	if ( isset($sidebar_args['_display']) && 'template' == $sidebar_args['_display'] && $widget_number ) {
  		// number == -1 implies a template where id numbers are replaced by a generic '__i__'
  		$control['params'][0]['number'] = -1;
--- 160,166 ----
  		$query_arg['key'] = $key;
  	}
  
! 	// We aren't showing a widget control, we're outputting a template for a multi-widget control
  	if ( isset($sidebar_args['_display']) && 'template' == $sidebar_args['_display'] && $widget_number ) {
  		// number == -1 implies a template where id numbers are replaced by a generic '__i__'
  		$control['params'][0]['number'] = -1;
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/index.php ./wordpress-3.3/wp-admin/index.php
*** ./wordpress-3.2.1/wp-admin/index.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-admin/index.php	2011-12-01 22:31:01.000000000 -0600
***************
*** 17,24 ****
  wp_enqueue_script( 'dashboard' );
  wp_enqueue_script( 'plugin-install' );
  wp_enqueue_script( 'media-upload' );
- wp_admin_css( 'dashboard' );
- wp_admin_css( 'plugin-install' );
  add_thickbox();
  
  $title = __('Dashboard');
--- 17,22 ----
***************
*** 29,49 ****
  else
  	add_screen_option('layout_columns', array('max' => 4, 'default' => 2) );
  
- add_contextual_help($current_screen,
  
! 	'<p>' . __( 'Welcome to your WordPress Dashboard! You will find helpful tips in the Help tab of each screen to assist you as you get to know the application.' ) . '</p>' .
! 	'<p>' . __( 'The Admin Bar at the top provides quick access to common tasks when you are viewing your site. If you miss the Favorite Actions dropdown, removed as of 3.2, you can find many of the same actions in the Admin Bar, such as Add New > Post.' ) . '</p>' .
! 	'<p>' . __( 'The left-hand navigation menu provides links to the administration screens in your WordPress application. You can expand or collapse navigation sections by clicking on the arrow that appears on the right side of each navigation item when you hover over it. You can also minimize the navigation menu to a narrow icon strip by clicking on the Collapse Menu arrow at the bottom of the nav menu, below Settings; when minimized, the submenu items will be displayed on hover.' ) . '</p>' .
! 	'<p>' . __( 'You can arrange your dashboard by choosing which boxes, or modules, to display in the work area, how many columns to display them in, and where each box should be placed. You can hide/show boxes and select the number of columns in the Screen Options tab. To rearrange the boxes, drag and drop by clicking on the title bar of the selected box and releasing when you see a gray dotted-line rectangle appear in the location you want to place the box. You can also expand or collapse each box; click the title area or downward arrow of the box. In addition, some boxes are configurable, and will show a &#8220;Configure&#8221; link in the title bar if you hover over it.' ) . '</p>' .
! 	'<p>' . __( 'The boxes on your Dashboard screen are:' ) . '</p>' .
! 	'<p>' . __( '<strong>Right Now</strong> - Displays a summary of the content on your site and identifies which theme and version of WordPress you are using.' ) . '</p>' .
! 	'<p>' . __( '<strong>Recent Comments</strong> - Shows the most recent comments on your posts (configurable, up to 30) and allows you to moderate them.' ) . '</p>' .
! 	'<p>' . __( '<strong>Incoming Links</strong> - Shows links to your site found by Google Blog Search.' ) . '</p>' .
! 	'<p>' . __( '<strong>QuickPress</strong> - Allows you to create a new post and either publish it or save it as a draft.' ) . '</p>' .
! 	'<p>' . __( '<strong>Recent Drafts</strong> - Displays links to the 5 most recent draft posts you&#8217;ve started.' ) . '</p>' .
! 	'<p>' . __( '<strong>WordPress Blog</strong> - Come here for the latest scoop.' ) . '</p>' .
! 	'<p>' . __( '<strong>Other WordPress News</strong> - Shows the feed from <a href="http://planet.wordpress.org" target="_blank">WordPress Planet</a>. You can configure it to show a different feed of your choosing.' ) . '</p>' .
! 	'<p>' . __( '<strong>Plugins</strong> - Features the most popular, newest, and recently updated plugins from the WordPress.org Plugin Directory.' ) . '</p>' .
  	'<p><strong>' . __( 'For more information:' ) . '</strong></p>' .
  	'<p>' . __( '<a href="http://codex.wordpress.org/Dashboard_Screen" target="_blank">Documentation on Dashboard</a>' ) . '</p>' .
  	'<p>' . __( '<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>' ) . '</p>'
--- 27,82 ----
  else
  	add_screen_option('layout_columns', array('max' => 4, 'default' => 2) );
  
  
! $help = '<p>' . __( 'Welcome to your WordPress Dashboard! This is the screen you will see when you log in to your site, and gives you access to all the site management features of WordPress. You can get help for any screen by clicking the Help tab in the upper corner.' ) . '</p>';
! 
! get_current_screen()->add_help_tab( array(
! 	'id'      => 'overview',
! 	'title'   => __( 'Overview' ),
! 	'content' => $help,
! ) );
! 
! // Help tabs
! 
! $help  = '<p>' . __('The left-hand navigation menu provides links to all of the WordPress administration screens, with submenu items displayed on hover. You can minimize this menu to a narrow icon strip by clicking on the Collapse Menu arrow at the bottom.') . '</p>';
! $help .= '<p>' . __('Links in the Toolbar at the top of the screen connect your dashboard and the front end of your site, and provide access to your profile and helpful WordPress information.') . '</p>';
! 
! get_current_screen()->add_help_tab( array(
! 	'id'      => 'help-navigation',
! 	'title'   => __('Navigation'),
! 	'content' => $help,
! ) );
! 
! $help  = '<p>' . __('You can use the following controls to arrange your Dashboard screen to suit your workflow. This is true on most other administration screens as well.') . '</p>';
! $help .= '<p>' . __('<strong>Screen Options</strong> - Use the Screen Options tab to choose which Dashboard boxes to show, and how many columns to display.') . '</p>';
! $help .= '<p>' . __('<strong>Drag and Drop</strong> - To rearrange the boxes, drag and drop by clicking on the title bar of the selected box and releasing when you see a gray dotted-line rectangle appear in the location you want to place the box.') . '</p>';
! $help .= '<p>' . __('<strong>Box Controls</strong> - Click the title bar of the box to expand or collapse it. In addition, some box have configurable content, and will show a &#8220;Configure&#8221; link in the title bar if you hover over it.') . '</p>';
! 
! get_current_screen()->add_help_tab( array(
! 	'id'      => 'help-layout',
! 	'title'   => __('Layout'),
! 	'content' => $help,
! ) );
! 
! $help  = '<p>' . __('The boxes on your Dashboard screen are:') . '</p>';
! $help .= '<p>' . __('<strong>Right Now</strong> - Displays a summary of the content on your site and identifies which theme and version of WordPress you are using.') . '</p>';
! $help .= '<p>' . __('<strong>Recent Comments</strong> - Shows the most recent comments on your posts (configurable, up to 30) and allows you to moderate them.') . '</p>';
! $help .= '<p>' . __('<strong>Incoming Links</strong> - Shows links to your site found by Google Blog Search.') . '</p>';
! $help .= '<p>' . __('<strong>QuickPress</strong> - Allows you to create a new post and either publish it or save it as a draft.') . '</p>';
! $help .= '<p>' . __('<strong>Recent Drafts</strong> - Displays links to the 5 most recent draft posts you&#8217;ve started.') . '</p>';
! $help .= '<p>' . __('<strong>WordPress Blog</strong> - Latest news from the official WordPress project.') . '</p>';
! $help .= '<p>' . __('<strong>Other WordPress News</strong> - Shows the <a href="http://planet.wordpress.org" target="_blank">WordPress Planet</a> feed. You can configure it to show a different feed of your choosing.') . '</p>';
! $help .= '<p>' . __('<strong>Plugins</strong> - Features the most popular, newest, and recently updated plugins from the WordPress.org Plugin Directory.') . '</p>';
! 
! get_current_screen()->add_help_tab( array(
! 	'id'      => 'help-content',
! 	'title'   => __('Content'),
! 	'content' => $help,
! ) );
! 
! unset( $help );
! 
! get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __( 'For more information:' ) . '</strong></p>' .
  	'<p>' . __( '<a href="http://codex.wordpress.org/Dashboard_Screen" target="_blank">Documentation on Dashboard</a>' ) . '</p>' .
  	'<p>' . __( '<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>' ) . '</p>'
***************
*** 58,63 ****
--- 91,98 ----
  <?php screen_icon(); ?>
  <h2><?php echo esc_html( $title ); ?></h2>
  
+ <?php wp_welcome_panel(); ?>
+ 
  <div id="dashboard-widgets-wrap">
  
  <?php wp_dashboard(); ?>
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/install.php ./wordpress-3.3/wp-admin/install.php
*** ./wordpress-3.2.1/wp-admin/install.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-admin/install.php	2011-11-15 09:47:07.000000000 -0600
***************
*** 9,15 ****
  // Sanity check.
  if ( false ) {
  ?>
! <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
  <html xmlns="http://www.w3.org/1999/xhtml" >
  <head>
  	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
--- 9,15 ----
  // Sanity check.
  if ( false ) {
  ?>
! <!DOCTYPE html>
  <html xmlns="http://www.w3.org/1999/xhtml" >
  <head>
  	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
***************
*** 53,66 ****
  function display_header() {
  	header( 'Content-Type: text/html; charset=utf-8' );
  ?>
! <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
  <html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
  <head>
  	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  	<title><?php _e( 'WordPress &rsaquo; Installation' ); ?></title>
  	<?php wp_admin_css( 'install', true ); ?>
  </head>
! <body>
  <h1 id="logo"><img alt="WordPress" src="images/wordpress-logo.png" /></h1>
  
  <?php
--- 53,66 ----
  function display_header() {
  	header( 'Content-Type: text/html; charset=utf-8' );
  ?>
! <!DOCTYPE html>
  <html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
  <head>
  	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  	<title><?php _e( 'WordPress &rsaquo; Installation' ); ?></title>
  	<?php wp_admin_css( 'install', true ); ?>
  </head>
! <body<?php if ( is_rtl() ) echo ' class="rtl"'; ?>>
  <h1 id="logo"><img alt="WordPress" src="images/wordpress-logo.png" /></h1>
  
  <?php
***************
*** 130,135 ****
--- 130,136 ----
  			<p><?php _e( 'Double-check your email address before continuing.' ); ?></p></td>
  		</tr>
  		<tr>
+ 			<th scope="row"><label for="blog_public"><?php _e( 'Privacy' ); ?></label></th>
  			<td colspan="2"><label><input type="checkbox" name="blog_public" value="1" <?php checked( $blog_public ); ?> /> <?php _e( 'Allow my site to appear in search engines like Google and Technorati.' ); ?></label></td>
  		</tr>
  	</table>
***************
*** 220,229 ****
  
  <p><?php _e( 'WordPress has been installed. Were you expecting more steps? Sorry to disappoint.' ); ?></p>
  
! <table class="form-table">
  	<tr>
  		<th><?php _e( 'Username' ); ?></th>
! 		<td><code><?php echo esc_html( sanitize_user( $user_name, true ) ); ?></code></td>
  	</tr>
  	<tr>
  		<th><?php _e( 'Password' ); ?></th>
--- 221,230 ----
  
  <p><?php _e( 'WordPress has been installed. Were you expecting more steps? Sorry to disappoint.' ); ?></p>
  
! <table class="form-table install-success">
  	<tr>
  		<th><?php _e( 'Username' ); ?></th>
! 		<td><?php echo esc_html( sanitize_user( $user_name, true ) ); ?></td>
  	</tr>
  	<tr>
  		<th><?php _e( 'Password' ); ?></th>
***************
*** 243,264 ****
  }
  ?>
  <script type="text/javascript">var t = document.getElementById('weblog_title'); if (t){ t.focus(); }</script>
! <script type="text/javascript" src="../wp-includes/js/jquery/jquery.js"></script>
! <script type="text/javascript" src="js/password-strength-meter.js"></script>
! <script type="text/javascript" src="js/user-profile.js"></script>
! <script type="text/javascript" src="../wp-includes/js/l10n.js"></script>
! <script type='text/javascript'>
! /* <![CDATA[ */
! var pwsL10n = {
!  empty: "<?php echo esc_js( __( 'Strength indicator' ) ); ?>",
!  short: "<?php echo esc_js( __( 'Very weak' ) ); ?>",
!  bad: "<?php echo esc_js( __( 'Weak' ) ); ?>",
!  good: "<?php echo esc_js( _x( 'Medium', 'password strength' ) ); ?>",
!  strong: "<?php echo esc_js( __( 'Strong' ) ); ?>",
!  mismatch: "<?php echo esc_js( __( 'Mismatch' ) ); ?>"
! };
! try{convertEntities(pwsL10n);}catch(e){};
! /* ]]> */
! </script>
  </body>
  </html>
--- 244,249 ----
  }
  ?>
  <script type="text/javascript">var t = document.getElementById('weblog_title'); if (t){ t.focus(); }</script>
! <?php wp_print_scripts( 'user-profile' ); ?>
  </body>
  </html>
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/js/common.dev.js ./wordpress-3.3/wp-admin/js/common.dev.js
*** ./wordpress-3.2.1/wp-admin/js/common.dev.js	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/js/common.dev.js	2011-11-30 22:51:35.000000000 -0600
***************
*** 1,115 ****
! var showNotice, adminMenu, columns, validateForm, screenMeta;
  (function($){
! // sidebar admin menu
  adminMenu = {
! 	init : function() {
! 		var menu = $('#adminmenu');
! 
! 		$('.wp-menu-toggle', menu).each( function() {
! 			var t = $(this), sub = t.siblings('.wp-submenu');
! 			if ( sub.length )
! 				t.click(function(){ adminMenu.toggle( sub ); });
! 			else
! 				t.hide();
! 		});
! 
! 		this.favorites();
! 
! 		$('#collapse-menu', menu).click(function(){
! 			if ( $('body').hasClass('folded') ) {
! 				adminMenu.fold(1);
! 				deleteUserSetting( 'mfold' );
! 			} else {
! 				adminMenu.fold();
! 				setUserSetting( 'mfold', 'f' );
! 			}
! 			return false;
! 		});
! 
! 		if ( $('body').hasClass('folded') )
! 			this.fold();
! 	},
! 
! 	restoreMenuState : function() {
! 		// (perhaps) needed for back-compat
! 	},
! 
! 	toggle : function(el) {
! 		el.slideToggle(150, function() {
! 			var id = el.css('display','').parent().toggleClass( 'wp-menu-open' ).attr('id');
! 			if ( id ) {
! 				$('li.wp-has-submenu', '#adminmenu').each(function(i, e) {
! 					if ( id == e.id ) {
! 						var v = $(e).hasClass('wp-menu-open') ? 'o' : 'c';
! 						setUserSetting( 'm'+i, v );
! 					}
! 				});
! 			}
! 		});
! 
! 		return false;
! 	},
! 
! 	fold : function(off) {
! 		if (off) {
! 			$('body').removeClass('folded');
! 			$('#adminmenu li.wp-has-submenu').unbind();
! 		} else {
! 			$('body').addClass('folded');
! 			$('#adminmenu li.wp-has-submenu').hoverIntent({
! 				over: function(e){
! 					var m, b, h, o, f;
! 					m = $(this).find('.wp-submenu');
! 					b = $(this).offset().top + m.height() + 1; // Bottom offset of the menu
! 					h = $('#wpwrap').height(); // Height of the entire page
! 					o = 60 + b - h;
! 					f = $(window).height() + $(window).scrollTop() - 15; // The fold
! 					if ( f < (b - o) ) {
! 						o = b - f;
! 					}
! 					if ( o > 1 ) {
! 						m.css({'marginTop':'-'+o+'px'});
! 					} else if ( m.css('marginTop') ) {
! 						m.css({'marginTop':''});
! 					}
! 					m.addClass('sub-open');
! 				},
! 				out: function(){
! 					$(this).find('.wp-submenu').removeClass('sub-open');
! 				},
! 				timeout: 220,
! 				sensitivity: 8,
! 				interval: 100
! 			});
! 
! 		}
! 	},
! 
! 	favorites : function() {
! 		$('#favorite-inside').width( $('#favorite-actions').width() - 4 );
! 		$('#favorite-toggle, #favorite-inside').bind('mouseenter', function() {
! 			$('#favorite-inside').removeClass('slideUp').addClass('slideDown');
! 			setTimeout(function() {
! 				if ( $('#favorite-inside').hasClass('slideDown') ) {
! 					$('#favorite-inside').slideDown(100);
! 					$('#favorite-first').addClass('slide-down');
! 				}
! 			}, 200);
! 		}).bind('mouseleave', function() {
! 			$('#favorite-inside').removeClass('slideDown').addClass('slideUp');
! 			setTimeout(function() {
! 				if ( $('#favorite-inside').hasClass('slideUp') ) {
! 					$('#favorite-inside').slideUp(100, function() {
! 						$('#favorite-first').removeClass('slide-down');
! 					});
! 				}
! 			}, 300);
! 		});
! 	}
  };
  
- $(document).ready(function(){ adminMenu.init(); });
- 
  // show/hide/save table columns
  columns = {
  	init : function() {
--- 1,15 ----
! var showNotice, adminMenu, columns, validateForm, screenMeta, autofold_menu;
  (function($){
! // Removed in 3.3.
! // (perhaps) needed for back-compat
  adminMenu = {
! 	init : function() {},
! 	fold : function() {},
! 	restoreMenuState : function() {},
! 	toggle : function() {},
! 	favorites : function() {}
  };
  
  // show/hide/save table columns
  columns = {
  	init : function() {
***************
*** 190,212 ****
  };
  
  screenMeta = {
! 	links: {
! 		'screen-options-link-wrap': 'screen-options-wrap',
! 		'contextual-help-link-wrap': 'contextual-help-wrap'
! 	},
  	init: function() {
! 		$('.screen-meta-toggle').click( screenMeta.toggleEvent );
  	},
  	toggleEvent: function( e ) {
! 		var panel;
  		e.preventDefault();
  
! 		// Check to see if we found a panel.
! 		if ( ! screenMeta.links[ this.id ] )
  			return;
  
- 		panel = $('#' + screenMeta.links[ this.id ]);
- 
  		if ( panel.is(':visible') )
  			screenMeta.close( panel, $(this) );
  		else
--- 90,114 ----
  };
  
  screenMeta = {
! 	element: null, // #screen-meta
! 	toggles: null, // .screen-meta-toggle
! 	page:    null, // #wpcontent
! 
  	init: function() {
! 		this.element = $('#screen-meta');
! 		this.toggles = $('.screen-meta-toggle a');
! 		this.page    = $('#wpcontent');
! 
! 		this.toggles.click( this.toggleEvent );
  	},
+ 
  	toggleEvent: function( e ) {
! 		var panel = $( this.href.replace(/.+#/, '#') );
  		e.preventDefault();
  
! 		if ( !panel.length )
  			return;
  
  		if ( panel.is(':visible') )
  			screenMeta.close( panel, $(this) );
  		else
***************
*** 212,220 ****
  		else
  			screenMeta.open( panel, $(this) );
  	},
  	open: function( panel, link ) {
- 		$('.screen-meta-toggle').not( link ).css('visibility', 'hidden');
  
  		panel.slideDown( 'fast', function() {
  			link.addClass('screen-meta-active');
  		});
--- 114,125 ----
  		else
  			screenMeta.open( panel, $(this) );
  	},
+ 
  	open: function( panel, link ) {
  
+ 		$('.screen-meta-toggle').not( link.parent() ).css('visibility', 'hidden');
+ 
+ 		panel.parent().show();
  		panel.slideDown( 'fast', function() {
  			link.addClass('screen-meta-active');
  		});
***************
*** 223,235 ****
  		panel.slideUp( 'fast', function() {
  			link.removeClass('screen-meta-active');
  			$('.screen-meta-toggle').css('visibility', '');
  		});
  	}
  };
  
  $(document).ready( function() {
! 	var lastClicked = false, checks, first, last, checked, dropdown,
! 		pageInput = $('input[name="paged"]'), currentPage;
  
  	// Move .updated and .error alert boxes. Don't move boxes designed to be inline.
  	$('div.wrap h2:first').nextAll('div.updated, div.error').addClass('below-h2');
--- 129,249 ----
  		panel.slideUp( 'fast', function() {
  			link.removeClass('screen-meta-active');
  			$('.screen-meta-toggle').css('visibility', '');
+ 			panel.parent().hide();
  		});
  	}
  };
  
+ /**
+  * Help tabs.
+  */
+ $('.contextual-help-tabs').delegate('a', 'click focus', function(e) {
+ 	var link = $(this),
+ 		panel;
+ 
+ 	e.preventDefault();
+ 
+ 	// Don't do anything if the click is for the tab already showing.
+ 	if ( link.is('.active a') )
+ 		return false;
+ 
+ 	// Links
+ 	$('.contextual-help-tabs .active').removeClass('active');
+ 	link.parent('li').addClass('active');
+ 
+ 	panel = $( link.attr('href') );
+ 
+ 	// Panels
+ 	$('.help-tab-content').not( panel ).removeClass('active').hide();
+ 	panel.addClass('active').show();
+ });
+ 
  $(document).ready( function() {
! 	var lastClicked = false, checks, first, last, checked, menu = $('#adminmenu'),
! 		pageInput = $('input.current-page'), currentPage = pageInput.val(), folded, refresh;
! 
! 	// admin menu
! 	refresh = function(i, el){ // force the browser to refresh the tabbing index
! 		var node = $(el), tab = node.attr('tabindex');
! 		if ( tab )
! 			node.attr('tabindex', '0').attr('tabindex', tab);
! 	};
! 
! 	$('#collapse-menu', menu).click(function(){
! 		var body = $(document.body);
! 
! 		if ( body.hasClass('folded') ) {
! 			body.removeClass('folded');
! 			setUserSetting('mfold', 'o');
! 		} else {
! 			body.addClass('folded');
! 			setUserSetting('mfold', 'f');
! 		}
! 		return false;
! 	});
! 
! 	$('li.wp-has-submenu', menu).hoverIntent({
! 		over: function(e){
! 			var b, h, o, f, m = $(this).find('.wp-submenu'), menutop, wintop, maxtop;
! 
! 			if ( !$(document.body).hasClass('folded') && $(this).hasClass('wp-menu-open') )
! 				return;
! 
! 			menutop = $(this).offset().top;
! 			wintop = $(window).scrollTop();
! 			maxtop = menutop - wintop - 30; // max = make the top of the sub almost touch admin bar
! 
! 			b = menutop + m.height() + 1; // Bottom offset of the menu
! 			h = $('#wpwrap').height(); // Height of the entire page
! 			o = 60 + b - h;
! 			f = $(window).height() + wintop - 15; // The fold
! 
! 			if ( f < (b - o) )
! 				o = b - f;
! 
! 			if ( o > maxtop )
! 				o = maxtop;
! 
! 			if ( o > 1 )
! 				m.css({'marginTop':'-'+o+'px'});
! 			else if ( m.css('marginTop') )
! 				m.css({'marginTop':''});
! 
! 			m.addClass('sub-open');
! 		},
! 		out: function(){
! 			$(this).find('.wp-submenu').removeClass('sub-open');
! 		},
! 		timeout: 200,
! 		sensitivity: 7,
! 		interval: 90
! 	});
! 
! 	// Tab to select, Enter to open sub, Esc to close sub and focus the top menu
! 	$('li.wp-has-submenu > a.wp-not-current-submenu', menu).bind('keydown.adminmenu', function(e){
! 		if ( e.which != 13 )
! 			return;
! 
! 		var target = $(e.target);
! 
! 		e.stopPropagation();
! 		e.preventDefault();
! 
! 		menu.find('.wp-submenu').removeClass('sub-open');
! 		target.siblings('.wp-submenu').toggleClass('sub-open').find('a[role="menuitem"]').each(refresh);
! 	}).each(refresh);
! 
! 	$('a[role="menuitem"]', menu).bind('keydown.adminmenu', function(e){
! 		if ( e.which != 27 )
! 			return;
! 
! 		var target = $(e.target);
! 
! 		e.stopPropagation();
! 		e.preventDefault();
! 
! 		target.add( target.siblings() ).closest('.sub-open').removeClass('sub-open').siblings('a.wp-not-current-submenu').focus();
! 	});
  
  	// Move .updated and .error alert boxes. Don't move boxes designed to be inline.
  	$('div.wrap h2:first').nextAll('div.updated, div.error').addClass('below-h2');
***************
*** 238,261 ****
  	// Init screen meta
  	screenMeta.init();
  
- 	// User info dropdown.
- 	dropdown = {
- 		doc: $(document),
- 		element: $('#user_info'),
- 		open: function() {
- 			if ( ! dropdown.element.hasClass('active') ) {
- 				dropdown.element.addClass('active');
- 				dropdown.doc.one( 'click', dropdown.close );
- 				return false;
- 			}
- 		},
- 		close: function() {
- 			dropdown.element.removeClass('active');
- 		}
- 	};
- 
- 	dropdown.element.click( dropdown.open );
- 
  	// check all checkboxes
  	$('tbody').children().children('.check-column').find(':checkbox').click( function(e) {
  		if ( 'undefined' == e.shiftKey ) { return true; }
--- 252,257 ----
***************
*** 346,359 ****
  	});
  
  	if ( pageInput.length ) {
! 		currentPage = pageInput.val();
! 		pageInput.closest('form').submit( function(){
! 			// Reset paging var for new filters/searches. See #17685.
! 			if ( pageInput.val() == currentPage )
  				pageInput.val('1');
  		});
  	}
  
  });
  
  // internal use
--- 342,377 ----
  	});
  
  	if ( pageInput.length ) {
! 		pageInput.closest('form').submit( function(e){
! 
! 			// Reset paging var for new filters/searches but not for bulk actions. See #17685.
! 			if ( $('select[name="action"]').val() == -1 && $('select[name="action2"]').val() == -1 && pageInput.val() == currentPage )
  				pageInput.val('1');
  		});
  	}
  
+ 	// auto-fold the menu when screen is under 800px
+ 	$(window).bind('resize.autofold', function(){
+ 		if ( getUserSetting('mfold') == 'f' )
+ 			return;
+ 
+ 		var width = $(window).width();
+ 
+ 		// fold admin menu
+ 		if ( width <= 800 ) {
+ 			if ( !folded ) {
+ 				$(document.body).addClass('folded');
+ 				folded = true;
+ 			}
+ 		} else {
+ 			if ( folded ) {
+ 				$(document.body).removeClass('folded');
+ 				folded = false;
+ 			}
+ 		}
+ 
+ 	}).triggerHandler('resize');
+ 
  });
  
  // internal use
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/js/dashboard.dev.js ./wordpress-3.3/wp-admin/js/dashboard.dev.js
*** ./wordpress-3.2.1/wp-admin/js/dashboard.dev.js	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/js/dashboard.dev.js	2011-11-23 12:30:45.000000000 -0600
***************
*** 1,6 ****
--- 1,33 ----
  var ajaxWidgets, ajaxPopulateWidgets, quickPressLoad;
  
  jQuery(document).ready( function($) {
+ 	/* Dashboard Welcome Panel */
+ 	var welcomePanel = $('#welcome-panel'),
+ 		welcomePanelHide = $('#wp_welcome_panel-hide'),
+ 	 	updateWelcomePanel = function( visible ) {
+ 			$.post( ajaxurl, {
+ 				action: 'update-welcome-panel',
+ 				visible: visible,
+ 				welcomepanelnonce: $('#welcomepanelnonce').val()
+ 			});
+ 		};
+ 
+ 	if ( welcomePanel.hasClass('hidden') && welcomePanelHide.prop('checked') )
+ 		welcomePanel.removeClass('hidden');
+ 
+ 	$('.welcome-panel-close, .welcome-panel-dismiss a', welcomePanel).click( function(e) {
+ 		e.preventDefault();
+ 		welcomePanel.addClass('hidden');
+ 		updateWelcomePanel( 0 );
+ 		$('#wp_welcome_panel-hide').prop('checked', false);
+ 	});
+ 
+ 
+ 	welcomePanelHide.click( function() {
+ 		welcomePanel.toggleClass('hidden', ! this.checked );
+ 		updateWelcomePanel( this.checked ? 1 : 0 );
+ 	});
+ 
  	// These widgets are sometimes populated via ajax
  	ajaxWidgets = [
  		'dashboard_incoming_links',
